Package org.pushingpixels.flamingo.api.common.model

# Interface ActionButtonModel

All Superinterfaces:
  `ButtonModel`, `ItemSelectable`

All Known Implementing Classes:
  `ActionRepeatableButtonModel`, `ActionToggleButtonModel`

public interface ActionButtonModel extends ButtonModel
Model for the action area of `AbstractCommandButton` component.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isFireActionOnPress()`
Returns indication whether the associated actions should be fired on mouse press instead of mouse release.
`void`
`setFireActionOnPress(boolean toFireActionOnPress)`
Sets indication whether the associated actions should be fired on mouse press instead of mouse release.

### Methods inherited from interface javax.swing.ButtonModel

`addActionListener, addChangeListener, addItemListener, getActionCommand, getGroup, getMnemonic, isArmed, isEnabled, isPressed, isRollover, isSelected, removeActionListener, removeChangeListener, removeItemListener, setActionCommand, setArmed, setEnabled, setGroup, setMnemonic, setPressed, setRollover, setSelected`

### Methods inherited from interface java.awt.ItemSelectable

`getSelectedObjects`

## Method Details

### setFireActionOnPress

void setFireActionOnPress(boolean toFireActionOnPress)
Sets indication whether the associated actions should be fired on mouse press instead of mouse release.

Parameters:
  `toFireActionOnPress` - if `true`, the associated actions will be fired on mouse press, otherwise the associated actions will be fired on mouse release.

### isFireActionOnPress

boolean isFireActionOnPress()
Returns indication whether the associated actions should be fired on mouse press instead of mouse release.

Returns:
  `true` if the associated actions are fired on mouse press, `false` if the associated actions are fired on mouse release.